/* ----------------------------------- header -------------------------------- */
body {
    background: #ffffff;
}

body, a, p, h1, h2, h3, h4, h5, h6, span {
    font-family: 'Montserrat', sans-serif;
}


.row {
	max-width: 1300px;
}



#fixedheader  {
	position:fixed;
	width: 100%;
	z-index: 99999;
    background: #cfcfcf;
}

#headercontact {
    height: 62px;
    width: 100%;
    background: #ffffff;
    padding-top: 12px;
    transition: all 0.5s ease;
}

#fixedheader.smaller #headercontact{
    height: 40px;
    padding-top: 0px;
}


#headercontact #headerphone {
    float:right;
    padding: 12px;
    padding-left: 50px;
    background-image: url("../png/icon_phone.png");
    background-repeat: no-repeat;
    background-size: 32px 32px;
    background-position: left center;
    color: #000000;
}

#headercontact #headeremail {
    float:right;
    padding: 12px;
    padding-left: 50px;
    margin-left: 30px;
    background-image: url("../png/icon_email.png");
    background-repeat: no-repeat;
    background-size: 32px 32px;
    background-position: left center;
    color: #000000;
}

#fixedheader .columns {
	padding: 0px;
}

#fixedheader .row {
    position: relative;
}

#headerlogo {
    position: absolute;
    top: 50%;
    left: 0px;
    margin-top: -44px;
    border: 3px solid #5c5c5c;
}

#navheadermenucontainer {
    margin-left: 200px;
}

#navheadermenu {
	list-style:none;
	width: 100%;
	padding: 0px;
	margin: 0px;
	float:left;
	position:relative;
}

#navheadermenu li {
	float:left;
	display:block;
}

#menulink0 {
	width: 14%;
}

#menulink1 {
	width: 14%;
}

#menulink2 {
	width: 16%;
}

#menulink3{
	width: 14%;	
}

#menulink4 {
	width: 14%;
}

#menulink5{
	width: 14%;	
}

#menulink6 {
	width: 14%;
}


#navheadermenu li a {
	line-height: 42px;
	
	display:block;
	text-align:center;
	padding: 0px 12px;
	
	margin: 0px;
	width: 100%;
	background: #cfcfcf;
	transition: background-color 0.5s ease;
    transition: color 0.5s ease;
	color: #180cf6;
	font-size: 18px;
	text-transform: uppercase;
    font-weight: 800;
}

#navheadermenu li a:hover {
	background: #180cf6;	
    color: #ffffff;
}


 #navheadermenu .is-hover .hasdropdownarrow,  #navheadermenu li a:hover .hasdropdownarrow {
	 border-color: #ffffff transparent transparent transparent;
 }

#navheadermenu .submenu {
	display:none;
	position:absolute;
	top: 42px;
	z-index: 9999;
	padding: 0px;
	margin: 0px;
}

#navheadermenu li:hover .submenu  {
	display:block;
	opacity: 1;
}

#navheadermenu .subsubmenu {
	display:none;
	position:absolute;
	top: 0px;
	z-index: 9999;
	padding: 0px;
	margin: 0px;
	left: 320px;
}

#navheadermenu li .submenu li:hover .subsubmenu  {
	display:block;
	opacity: 1;
}

#navheadermenu .submenu li {
	position:relative;
	width: 320px;
	clear:both;
}

#navheadermenu .submenu li a {
	line-height: 14px;
	padding: 16px 10px;
	height: auto;
	background: #cfcfcf;
}

#navheadermenu .submenu li a:hover {
	background: #180cf6;		
}

#navheadermenu .closedrop,  #navheadermenu .closedroptwo {
	display:none;
}

#showmobilemenu {
	display:none;
}

.hasdropdownarrow {
	display:block;
	float:right;
	margin-top: 16px; /*half height - half arrow height */
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 10px 5px 0 5px;
	border-color: #ffffff transparent transparent transparent;
}

.hassidearrow {
	display:block;
	float:right;
	margin-top: 0px; 
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 5px 0 5px 10px;
	border-color: transparent transparent transparent #ffffff;
}





/* Rotate first bar */
.change .bar1 {
    -webkit-transform: rotate(-45deg) translate(-9px, 6px) ;
    transform: rotate(-45deg) translate(-9px, 6px) ;
}

/* Fade out the second bar */
.change .bar2 {
    opacity: 0;
}

/* Rotate last bar */
.change .bar3 {
    -webkit-transform: rotate(45deg) translate(-8px, -8px) ;
    transform: rotate(45deg) translate(-8px, -8px) ;
}


#homerow1 {
/* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#5c5c5c+0,cdcdcd+100 */
background: rgb(92,92,92); /* Old browsers */
background: -moz-linear-gradient(top, rgba(92,92,92,1) 0%, rgba(205,205,205,1) 100%); /* FF3.6-15 */
background: -webkit-linear-gradient(top, rgba(92,92,92,1) 0%,rgba(205,205,205,1) 100%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to bottom, rgba(92,92,92,1) 0%,rgba(205,205,205,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#5c5c5c', endColorstr='#cdcdcd',GradientType=0 ); /* IE6-9 */
    float:left;
    width: 100%;
    padding: 44px 0px;
    position: relative;
}

#homerow1 h1 {
    color: #ffffff;
    font-size: 22px;
    text-transform: uppercase;
    margin: 0px;
    font-weight: bold;
}

#homerow1 p {
    padding: 30px 0px;
    margin: 0px;
    color: #ffffff;
}

.button {
    border: 1px solid #180cf6;
    background: none;
    color: #180cf6;
    font-weight: bold !important;
    transition: all 0.5s ease;  
}

.button:hover {
    background: #180cf6;
    color: #ffffff;
      transform: translate(0, -3px); 
}

#homerow1 .button {
    width: 32%;
    float:left;
    margin: 0px;
}





#homerow1 .button:nth-child(2) {
    margin-left: 2%;
    margin-right: 2%;
}


#homerow1left {
    float:left;
    width: 60%;
}

#homerow1right {
    float:left;
    width: 40%;
    position: relative;

    transition: all 1s;
}

#homerow1right img {
    position: absolute;
    right: 0px;
    top: -16px;

}

#homerow1right:not(.visible) {
      opacity: 0;
    transform: translate(200px, 0px); 
}

#homerow1right.visible {
    opacity: 1;
    transform: translate(0px, 0px); 
}


#keyservices h2 {
    color: #ffffff;
    text-align: center;
    text-transform: uppercase;
    margin-top: 56px;
    margin-bottom: 50px;
}

#keyservices {
    background-color: #4036f8;
    background-image: url("../jpg/keyservicesbg.jpg");
    background-size: cover;
    float:left;
    width: 100%;
     box-shadow: 
        inset 0px 11px 8px -10px #000,
        inset 0px -11px 8px -10px #000; 
}

#keyservices .servicescontainer {
    width: 100%;
    float:left;
    padding: 5% 10%;
    padding-top: 0px;
}

#keyservices .servicebox {
    width: 32%;
    float:left;
    padding: 24px;
}

#keyservices .servicebox:nth-of-type(2){
    margin-left: 2%;
    margin-right: 2%;
}

#keyservices .servicebox:nth-child(2){
    transition: all 1.5s;
}

#keyservices .servicebox:nth-child(3){
     transition: all 2s;
}


#keyservices .serviceboxcontent {
    background: #ffffff;    
}


#keyservices .serviceboxcontent h3 {
    padding: 14px;
    margin: 0px;
    text-align: center;
    color: #4036f8;
    text-transform: uppercase;
}

#keyservices .serviceboxcontent p {
    padding: 14px;
    margin: 0px;
    text-align: center;
    color: #717272;
}

#keyservices .serviceboxcontent .button {
    margin: 0px;
}

#keyservices .servicebox img {
    width: 100%;
    height: auto;
    border-bottom: 4px solid #4036f8;
}

#homecontentblock {
    background: #ffffff;
    position: relative;
    float:left;
    width: 100%;
}
#homecontentblock #leftbg {
    position: absolute;
    width: 50%;
    top: 0px;
    left: 0px;
    height:100%;
    background: #5b5c5c;
    z-index: 0;
}

#homecontentblockleft, #homecontentblockright {
    float:left;
    width: 50%;
    position: relative;
    padding: 44px;

}

#homecontentblockright {
      background: #ffffff;  
}

#homecontentblockleft h4{
    color: #ffffff;
    text-transform: uppercase;
    margin-top: 0px;
    margin-bottom: 44px;
    padding: 0px;
    text-align: center;
    font-weight: bold;
}

#homecontentblockright h4{
    color: #4036f8;
    text-transform: uppercase;
    margin-top: 0px;
    margin-bottom: 44px;
    padding: 0px;
    text-align: center;
}

footer.full-width {
    background: rgb(205,205,205); /* Old browsers */
    background: -moz-linear-gradient(top, rgba(205,205,205,1) 0%, rgba(92,92,92,1) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, rgba(205,205,205,1) 0%,rgba(92,92,92,1) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, rgba(205,205,205,1) 0%,rgba(92,92,92,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#cdcdcd', endColorstr='#5c5c5c',GradientType=0 ); /* IE6-9 */
    padding: 44px 0px;
    float:left;
    width: 100%;
}


.footerpanel {
    float:left;
    width: 30%;
    text-align: center;
}

#footerpanel2 {
    width: 40%;
}

#footerpanel2 img {
    margin-bottom: 30px;
}

.footerpanel ul {
    margin: 0px;
    padding: 0px;
    list-style: none;
}

footer.full-width  .footerpanel li, footer.full-width  .footerpanel a, footer.full-width  .footerpanel p {
    color: #ffffff;
    font-size: 14px;
}


#footernav li {
    float:left;
    width: 14%;
}

#footernav li a:hover {
    color: #4036f8;
}

#footernav #footernav1 { width: 12%;}
#footernav #footernav3 { width: 20%;}
#footernav #footernav5 { width: 12%;}

#socialicons {
    width: 60%;
    margin-left: 20%;
}

#socialicons li {
    float:left;
    width: 25%;
    transition: all 0.5s ease;
}

#socialicons li:hover {
    opacity: 0.5;
}

#socialicons img {
    width: 100%;
    height: auto;
    filter: invert(100%);
}

#endfooter {
    margin-top: 44px;
}

#endfooter p {
    margin: 0px;
    text-align: center;
    color: #ffffff;
}

#endfooter p a {
    color: #ffffff;
}


#pageheader {
    position: relative;
    padding-top: 164px;
    padding-bottom: 64px;
    background-color: #ffffff;
    
    background-size: auto 360px;
    background-repeat: no-repeat;
    background-position: 100% 80px;
    
}


#pageheaderimage {
    position: absolute;
    top: -40px;
    right: 0px;
    z-index: 2;
    height: 160px;
    width: auto;
}

#pageheaderfade {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    background: -moz-linear-gradient(left, rgba(255,255,255,1) 0%, rgba(255,255,255,0.6) 60%, rgba(200,200,200,0.2) 70%, rgba(200,200,200,0.2) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(left, rgba(255,255,255,1) 0%,rgba(255,255,255,0.6) 60%,rgba(200,200,200,0.2) 70%,rgba(200,200,200,0.2) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, rgba(255,255,255,1) 0%,rgba(255,255,255,0.6) 60%,rgba(200,200,200,0.2) 70%,rgba(200,200,200,0.2) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#33c8c8c8',GradientType=1 ); /* IE6-9 */
}

#pageheader .row {
    position: relative;
    z-index: 999;
}





#pageheader h1 {
    margin: 0px;
    line-height: 75px;
    text-transform: uppercase;
    color: #5c5c5c;
    font-size: 72px;
    border-bottom: 14px solid #180bf8;
    display: block;
    float:left;
    clear: both;
    margin-bottom: 6px;
    font-weight: bolder;
}

#pageheader p {
    display: block;
    margin: 0px;
    line-height: 25px;
    float:left;
    clear: both;
    text-transform: uppercase;
    font-weight: bold;
}


#pagecontent {
    background-color: #e5e7e6;
    background-image: url("../jpg/contentbg.jpg");
    background-position: bottom left;
    background-size: cover;
    background-repeat: no-repeat;
}


#content {
    border: 0px;
    background: none;
    padding: 44px 0px;
}

.pagecontent_row {
    float:left;
    width: 100%;
    clear:both;
    position: relative;
}

.pagecontent_left, .pagecontent_right {
    position: relative;
    float:left;
    width: 50%;
    margin: 0px;
    min-height: 400px;
 
}

.pagecontent_image {
    position: absolute;
    width: 50%;
    left: 0px;
    top: 0px;
}

.pageimage_right {
    left: 50%;
}

.page_background_image {
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    background-size:cover;
    background-repeat: no-repeat;
}

.page_text_content {
      padding: 58px;   
}

.page_text_content h2 {
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 26px;
}

.pagemachine {
    width: 32%;
    float:left;
    text-align: center;
    opacity: 0;
    transform: translate(0, 100px); 
    transition: all 1s;
}

#pagelastrow {
    float:left;
    width: 100%;
    padding: 58px;
    background: rgb(255,255,255);
}

.componentgallerypanel {
    width: 22%;
    float:left;
}

.componentgallerypanel:nth-of-type(2){ margin-left: 4%; }
.componentgallerypanel:nth-of-type(3){ margin-left: 4%; }
.componentgallerypanel:nth-of-type(4){ margin-left: 4%; }

.componentgallerypanel a {
    background: #ffffff;
    float:left;
    height: 200px;
    width: 100%;
    text-align: center;
}

.componentgallerypanel img {
    width: auto;
    height: 100%;
}
    

.pagemachine p {
    margin: 0px;
}

.pagemachine.visible {
  opacity: 1;
  transform: translate(0, 0); 
}

.pagemachine:nth-of-type(2){
    margin-left: 2%;
    margin-right: 2%;
}


#contactpage label {
    width: 20%;
    float:left;
    line-height: 40px;
    height: 40px;
}

#contactpage input {
	width: 80%;
    float:left;
    line-height: 40px;
    height: 40px;
}


#contactpage textarea  {
    width: 80%;
    min-height: 100px;
}

#contactagreecheck {
    width: 100%;
    clear: both;
    float:left;
    padding-left: 20%;
}

#contactpage #contactagreecheck label{
	float:left;
    width: auto;
    margin: 0px;
}

#contactpage #contactagreecheck input{
	float:left;
    width: auto;
    margin: 0px;
    margin-right: 16px;
    line-height: 40px;
    height: 40px;
}


p:empty {
  display: none;
}

#captcha_container{
	float:left;
	width: 20%;
	text-align:center;
	background: #145a91;
    line-height: 40px;
    height: 40px;
    margin-left: 20%;
}

#contactpage #captcha {
	float:left;
	width: 60%;
}

#contactpage .button {
	float:right;
	padding: 0px 24px;
    line-height: auto;
    height: auto;
}

#verify {
	display:none;
}

#qc_errors p, #qc_success p {
    color: #fff;
    padding: 10px;
	margin: 0px;
}
#qc_errors {
    background: #f80202 none repeat scroll 0 0;
}
#qc_success {
    background: #21db55 none repeat scroll 0 0;
}

  .google-maps {
        position: relative;
        padding-bottom: 25%; 
        height: 0;
        overflow: hidden;
    }
    .google-maps iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100% !important;
        height: 100% !important;
    }


.pdflink {
    background-image: url(../pdficon.html);
    display: block;
    line-height: 42px;
    background-repeat: no-repeat;
    background-size: contain;
    padding-left: 56px;
}


.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}
.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}


.industrypage_box {
    background: #ffffff;
    border: 1px solid #d0d0d0;
    padding: 58px;
    margin-bottom: 58px;
}


.contact_desktop {
    display: block;
}

.contact_mobile {
    display: none;
}


@media only screen and (max-width: 70em) { 
    
    #home_banner {
        display: none;
    }
    #headercontact #headerphone {
        background-size: 18px 18px;
        padding-left: 30px;
    }

    #headercontact #headeremail {
        background-size: 18px 18px;
        padding-left: 30px;
    }
    
    #homerow1right:not(.visible) {
        opacity: 1;
        transform: translate(0px, 0px); 
    }

    
    
    #fixedheader .row {
        padding: 10px;
    }
    
    #fixedheader #headercontact .row {
        padding: 0px;
    }

    
    .contact_desktop {
        display: none;
    }

    .contact_mobile {
        display: block;
    }
    
    #headercontact {
        padding: 0px;
        height: auto;
    }

    #headerpadding {
        height: 120px;
        width: 100%;
        float:left;
    }
    
    #pageheaderfade {
        background: rgba(255,255,255,1);
    }
    
    #content {
        padding: 44px;
    }
    

    #headerlogo {
        position: relative;
        top: 0px;
        margin: 0px;
         height: 60px;
        width: auto;
    }
    

    #fixedheader, #fixedheader.smaller{
        top: 0px;
    }
    
    .footerpanel, #footerpanel1, #footerpanel2, #footerpanel3 {
        width: 100%;
        text-align: center;
    }
    
    #footernav li, #footernav #footernav1, #footernav #footernav3, #footernav #footernav5 {
        width: 100%;
    }
    
    
    #navheadermenucontainer {
        margin: 0px;
    }
    
    #keyservices {
        padding-bottom: 20px;
    }
    
    #keyservices .servicebox {
        margin-bottom: 14px;
    }
    
    #homerow1right {
        text-align: center;
        width: 100%;
    }
    
    #homerow1right img {
        position: relative;
        
    }
    
    #keyservices .servicebox:nth-child(2){
        transition: all 1s;
    }

    #keyservices .servicebox:nth-child(3){
         transition: all 1s;
    }
    
    
    
    #homerow1left {
        width:100%;
        padding: 16px;
        text-align: center;
    } 
    
    #homerow1 .button, #homerow1 .button:nth-child(2) {
        width: 100%;
        margin: 0px;
        margin-bottom: 12px;
    }
    
    #keyservices .servicebox {
        width: 100%;
    }
    
    #homecontentblock #leftbg, #homecontentblockleft, #homecontentblockright {
        width: 100%;
        text-align: center;
    }
    
	.hasdropdownarrow {
		display:block;
		float:right;
		margin-top: 0px; 
		width: 0;
		height: 0;
		border-style: solid;
		border-width: 5px 0 5px 10px;
		border-color: transparent transparent transparent #ffffff;
	}
	
	#navheadermenu .is-hover .hasdropdownarrow,  #navheadermenu li a:hover .hasdropdownarrow {
		border-color: transparent transparent transparent #ffffff;
	}


	
	#showmobilemenu {
		cursor: pointer;
		display: block;
		height: 48px;
		width: 48px;
		position: relative;
		float:right;
		margin-top: 6px;
	}
    
    #showmobilemenu p {
        margin: 0px;
        text-transform: uppercase;
        font-size: 10px;
        color: #180cf6;
    }
	
	#showmobilemenu .bar1, #showmobilemenu .bar2, #showmobilemenu .bar3 {
		width: 35px;
		height: 5px;
		background-color: #180cf6;
		margin: 6px 0;
		transition: 0.4s;
	}
	
	
	#navheadermenu li, #menulink0, #menulink1, #menulink2, #menulink3, #menulink4, #menulink5, #menulink6, #menulink7, #menulink8{
		width: 100%;
	}
	
	#navheadermenu {
		position:relative;		
	}
	

	#navheadermenu li a {
		line-height: 12px;
		height: auto;
		padding: 20px 12px;
		
	}
	
	#navheadermenu .submenu {
		width: 100%;
		padding: 0px;
		margin-left: 100%;
		top: 0;
		position:absolute;
		display:none;
	}

	#navheadermenu .submenu li {
		width: 100%;
	}
	
	#navheadermenu .subsubmenu {
		width: 100%;
		padding: 0px;
		margin-left: 100%;
		top: 0px;
		left: 0px;
		position:absolute;
		display:none;
		
	}

	#navheadermenu .subsubmenu li {
		width: 100%;
	}

	#navheadermenucontainer {
		overflow:hidden;
		width: 100%;
		background: #cfcfcf;
        display:none;
	}
	
	#navheadermenu .closedrop,  #navheadermenu .closedroptwo {
		display:block;
	}
	
	#navheadermenu .submenu {
		top: 0px;
	}
    
    .pagecontent_left, .pagecontent_right, .pagemachine{
        width: 100%;
        margin: 0px;
        padding: 12px;
        
    }
    
    #pageheader {
        padding: 20px;
    }
    
    #pageheader h1 {
        font-size: 48px;
    }
    
    #pageheaderbgimage {
        display: none;
    }
    
    figure .alignnone {
        width: 100%;
        height: auto;
    }
    

    
    .pagecontent_image {
        position: relative;
        height: 180px !important;
        width: 100%;
    }
    
    .pageimage_right {
        left: 0px;
    }
    
    .componentgallerypanel {
        width: 100%;
    }
} 